Last Comment Bug 563516 - Need to localize Firefox Sync Website
: Need to localize Firefox Sync Website
Status: RESOLVED FIXED
[sync]
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Pascal Chevrel:pascalc
: www-mozilla-com
Mentors:
Depends on: 563580 627709
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 15:29 PDT by Ragavan S [:rags]
Modified: 2012-08-23 00:16 PDT (History)
11 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Firefox Sync Webpage Copy (700.37 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-05-03 17:14 PDT, My
no flags Details
Final copy on behalf of Mayumi (134.26 KB, application/pdf)
2010-05-04 14:58 PDT, Ragavan S [:rags]
no flags Details

Description Ragavan S [:rags] 2010-05-03 15:29:34 PDT
In addition to localizing the add-on for the 1.3 release, we would also like to localize the Firefox Sync web page. 

Mayumi is working on finalizing the copy and will attach it to this bug. 

John is working on getting the actual page built and staged (ETA: May 7?)

The actual content should be around 300 words and in talking to sethb, he mentioned this should be doable.
Comment 1 Pascal Chevrel:pascalc 2010-05-03 15:31:38 PDT
That's this page right ? http://www.mozilla.com/en-US/mobile/sync/
Comment 2 Ragavan S [:rags] 2010-05-03 15:46:22 PDT
(In reply to comment #1)
> That's this page right ? http://www.mozilla.com/en-US/mobile/sync/

Nope - that's the mobile page. We'll probably only need to update the name on that page (see bug #563515) 

We'll have a separate one for Firefox Sync along the lines of the one we now have for Account Manager: http://www.mozilla.com/en-US/firefox/accountmanager/
Comment 3 My 2010-05-03 17:14:14 PDT
Created attachment 443239 [details]
Firefox Sync Webpage Copy
Comment 4 My 2010-05-04 08:36:15 PDT
I need to make some updates to the copy so I will re-post the document.  Please do not use the attachment in Comment 3.
Comment 5 Pascal Chevrel:pascalc 2010-05-04 08:41:41 PDT
we don't use ppt files for localization, we will wait for the en-US page to be integrated in HTML as our source file for translation. Having a deadline and a list of locales affected would help :)
Comment 6 Ragavan S [:rags] 2010-05-04 09:24:14 PDT
(In reply to comment #5)
> we don't use ppt files for localization, we will wait for the en-US page to be
> integrated in HTML as our source file for translation. Having a deadline and a
> list of locales affected would help :)

The page is targeted to go live on May 17. pike/sethb probably have the most accurate list of locales.

The page is being staged here: http://www-trunk.stage.mozilla.com/en-US/firefox/sync/
Comment 7 Axel Hecht [:Pike] 2010-05-04 09:27:55 PDT
So far, I don't really know where to get the list of locales from.

Largely depends on what the context of that page is, really. What links to it, and why, and such.
Comment 8 Ragavan S [:rags] 2010-05-04 09:49:12 PDT
(In reply to comment #7)
> So far, I don't really know where to get the list of locales from.
> 
> Largely depends on what the context of that page is, really. What links to it,
> and why, and such.

The page will describe what Firefox Sync is (along the lines of what the mobile page does for a mobile audience). As we head towards integrating Sync into Firefox, this will be the main page where people will come to get more information about how it works, links to support pages etc. 

In terms of the list of locales, when sethb and I talked last, we had talked about targeting any locales with 1M ADUs or above (15-16, iirc).

From a product perspective, these are the top locales (after en-US) where we currently have users and it would be great if we could accommodate these at a bare minimum.

de
fr
en-GB
zh-CN
ja
ru
es-ES
it
pl
Comment 9 Seth Bindernagel 2010-05-04 09:50:44 PDT
In a hallway conversation with Ragavan, we were discussing focusing our l10n efforts for the Weave app.  Later in the week (last week), we learned about the page here.

The quick conversation with Ragavan was to focus on the locales that ship within the multi-locale build.  We could then look at other measurements to help us make the decision about where to focus.  One figure could be ADU count for Firefox.  Another could be external mobile browsing usage numbers in various locales (not sure who would get that number).  

With that info, we (the l10n-drivers) can make a recommended list of where we start our l10n outreach.  Everyone will and should be allowed to participate if they choose.  However, we should certainly try to get a baseline of locales to participate.
Comment 10 Axel Hecht [:Pike] 2010-05-04 09:52:26 PDT
There's a nice overlap there with locales interested localizing weave, with the exception of en-GB. Probably can live with that, I guess?
Comment 11 Seth Bindernagel 2010-05-04 09:55:26 PDT
Got word from Madhava that he has found localizers for sv-SE and en-GB.  I've checked over the weekend with those Mozilla community leaders to make sure they are OK with Madhava's contacts participating and they are.  It's likely we will have sv-SE and en-GB at some point, but not necessarily for this May 17 cutoff.
Comment 12 Pascal Chevrel:pascalc 2010-05-04 10:49:29 PDT
It's not clear to me what we are promoting here, is that just an add-on or a firefox feature for 3.6? We have Firefox pages promoting features on mozilla-europe/japan/china  and pt-BR on mozilla.com (roughly 30 locales and that probably account for +95% of our user base), so given the placement of the page on mozilla.com navigation-wise, I guess you want the equivalent thing to be done on those portals or do you want that on mozilla.com? The placement of this page in the site hierarchy will have an impact on how we actually promote that for locales because we have locales with millions of users and locales with a few dozens users so the site structure for them is different. We could have it on localized pages on mozilla.com here for example:

mozilla.com/oc/sync

or on our international sites on:

mozilla-europe.org/de/firefox/sync

(We could even have both actually, big locales promoting sync via the firefox features pages and small locale with a single page promoted from their landing page).

Sorry if the questions sound basic but I guess since this page/addon is all news for me I am just trying to understand what the schedule is and how does this relate to the features pages for Firefox as well as the sync page for the mobile pages :)
Comment 13 Ragavan S [:rags] 2010-05-04 11:17:18 PDT
(In reply to comment #12)
> It's not clear to me what we are promoting here, is that just an add-on or a
> firefox feature for 3.6? We have Firefox pages promoting features on
> mozilla-europe/japan/china  and pt-BR on mozilla.com (roughly 30 locales and
> that probably account for +95% of our user base), so given the placement of the
> page on mozilla.com navigation-wise, I guess you want the equivalent thing to
> be done on those portals or do you want that on mozilla.com? The placement of
> this page in the site hierarchy will have an impact on how we actually promote
> that for locales because we have locales with millions of users and locales
> with a few dozens users so the site structure for them is different. We could
> have it on localized pages on mozilla.com here for example:
> 
> mozilla.com/oc/sync
> 
> or on our international sites on:
> 
> mozilla-europe.org/de/firefox/sync
> 
> (We could even have both actually, big locales promoting sync via the firefox
> features pages and small locale with a single page promoted from their landing
> page).
> 
> Sorry if the questions sound basic but I guess since this page/addon is all
> news for me I am just trying to understand what the schedule is and how does
> this relate to the features pages for Firefox as well as the sync page for the
> mobile pages :)

No worries. Let me try to capture our intent here and then perhaps you and the other l10n-drivers can suggest the best way forward.

The next major release of the Sync add-on (version 1.3) is targeted for May 17. Starting with this release, we will be renaming the add-on to Firefox Sync. We would like to ramp up user adoption starting with this version.

Soon after 1.3, we are planning on landing the core sync functionality on trunk with the intention of offering it as an integrated feature in Firefox 4 (potentially starting with the first Beta). 

So, for the 1.3 release, with Sync still being an add-on, I expect us to be able to ramp up adoption to about 1 or 2 million active daily users. From there, when we ship as part of Firefox 4 Beta, grow to 5-10 million and then eventually, when we ship in Firefox 4, grow to 10s of millions of users.

Does that help answer your questions?
Comment 14 Pascal Chevrel:pascalc 2010-05-04 13:27:01 PDT
Thanks Ragavan, it is much clearer now ! :)

We have a sub-page in the Firefox mobile section promoting the Weave Sync add-on (actually 2, one in /mobile/ and one in /m/), am I correct to assume that these two pages should be merged into one ?
Comment 15 Ragavan S [:rags] 2010-05-04 14:30:57 PDT
(In reply to comment #14)
> Thanks Ragavan, it is much clearer now ! :)
> 
> We have a sub-page in the Firefox mobile section promoting the Weave Sync
> add-on (actually 2, one in /mobile/ and one in /m/), am I correct to assume
> that these two pages should be merged into one ?

Yes - the new page that is being staged really should be the only Sync page we need. 

cc:ing Caitlin in case she has other thoughts.
Comment 16 Ragavan S [:rags] 2010-05-04 14:58:33 PDT
Created attachment 443457 [details]
Final copy on behalf of Mayumi
Comment 17 Pascal Chevrel:pascalc 2010-05-04 16:16:41 PDT
Moving bug to websites/mozilla.com for now and setting dependency
Comment 18 Pascal Chevrel:pascalc 2010-06-03 00:00:20 PDT
FYI, The main Firefox Sync download page is translated and live in 17 languages (ar, ca, cs, de, el, es-AR, es-ES, fr, it, ko, nl, pa-IN, pl, pt-PT, ru, sk, sq). All those languages have a promotional start page snippet that was given to Google as part of the June update of snippets yesterday which should be put online in the days to come and drive downloads.
Comment 19 Laura Forrest 2011-02-18 10:21:37 PST
Pascal or Caitlin - does anything else need to be done here? Is this a mobile or desktop launch dependency?
Comment 20 Raul Malea 2011-02-26 08:43:03 PST
Perhaps this bug is for Mozilla localization not for mozilla website. Also I need this page translated into Romanian language.
Similar bug: https://bugzilla.mozilla.org/show_bug.cgi?id=627709 ?
Comment 21 Laura Forrest 2011-03-15 14:23:04 PDT
Hey Pascal - to check in here, how is this bug coming along? Is this tied to the impending desktop launch? If not, I'd like to move it to the 1.5 release. Also, will you need any dev work from the moz.com web team? 

Thanks!
Comment 22 James Long (:jlongster) 2011-03-23 09:44:02 PDT
Moving to 1.5 as fx4 has been launched
Comment 23 Pascal Chevrel:pascalc 2011-03-23 23:18:13 PDT
@Laura

This is an old bug for older versions of the Sync addon page. We have this page already live for many locales. There was no communication lately from the mobile team to update content, I will probably take these pages down and eventually close this bug since we now ship Firefox 4 with Sync, the whole copy probably needs to be rewritten.

Note You need to log in before you can comment on or make changes to this bug.